"use strict";

exports.__esModule = true;
exports.useChakra = exports.useTheme = void 0;

var _cColorMode = require("@chakra-ui/c-color-mode");

var _vue = require("vue");

/** Provides theme object in component context */
var useTheme = function useTheme() {
  var theme = (0, _vue.inject)('$chakraTheme');
  return theme;
};
/** Single hook to provide theme and color mode values */


exports.useTheme = useTheme;

var useChakra = function useChakra() {
  var theme = useTheme();

  var _useColorMode = (0, _cColorMode.useColorMode)(),
      colorMode = _useColorMode.colorMode;

  return {
    theme: theme,
    colorMode: colorMode
  };
};

exports.useChakra = useChakra;
//# sourceMappingURL=use-chakra.js.map